class LinkOptions

Same name in this branch
  1. main core/modules/migrate/src/Plugin/migrate/process/LinkOptions.php \Drupal\migrate\Plugin\migrate\process\LinkOptions
Same name and namespace in other branches
  1. 11.x core/modules/menu_link_content/src/Plugin/migrate/process/LinkOptions.php \Drupal\menu_link_content\Plugin\migrate\process\LinkOptions
  2. 10 core/modules/menu_link_content/src/Plugin/migrate/process/LinkOptions.php \Drupal\menu_link_content\Plugin\migrate\process\LinkOptions
  3. 9 core/modules/menu_link_content/src/Plugin/migrate/process/LinkOptions.php \Drupal\menu_link_content\Plugin\migrate\process\LinkOptions
  4. 11.x core/modules/migrate/src/Plugin/migrate/process/LinkOptions.php \Drupal\migrate\Plugin\migrate\process\LinkOptions

Converts links options.


process:
  link/options:
    plugin: link_options
    source: options

This will convert the query options of the link.

Hierarchy

Expanded class hierarchy of LinkOptions

Deprecated

in drupal:11.4.0 and is removed from drupal:13.0.0. Use \Drupal\migrate\Plugin\migrate\process\LinkOptions instead.

Examples:

See also

https://www.drupal.org/node/3572239

File

core/modules/menu_link_content/src/Plugin/migrate/process/LinkOptions.php, line 28

Namespace

Drupal\menu_link_content\Plugin\migrate\process
View source
class LinkOptions extends ProcessPluginBase {
  public function __construct(array $configuration, $plugin_id, $plugin_definition) {
    @trigger_error(__CLASS__ . ' is deprecated in drupal:11.4.0 and is removed from drupal:13.0.0. Use \\Drupal\\migrate\\Plugin\\migrate\\process\\LinkOptions instead. See https://www.drupal.org/node/3533560', E_USER_DEPRECATED);
    parent::__construct($configuration, $plugin_id, $plugin_definition);
  }
  
  /**
   * {@inheritdoc}
   */
  public function transform($value, MigrateExecutableInterface $migrate_executable, Row $row, $destination_property) {
    if (isset($value['query'])) {
      // If the query parameters are stored as a string (as in D6), convert it
      // into an array.
      if (is_string($value['query'])) {
        parse_str($value['query'], $old_query);
      }
      else {
        $old_query = $value['query'];
      }
      $value['query'] = $old_query;
    }
    return $value;
  }

}

Members

Title Sort descending Modifiers Object type Summary Overriden Title Overrides
AutowiredInstanceTrait::createInstanceAutowired public static function Instantiates a new instance of the implementing class using autowiring.
AutowiredInstanceTrait::getAutowireArguments private static function Resolves arguments for a method using autowiring.
DependencySerializationTrait::$_entityStorages protected property An array of entity type IDs keyed by the property name of their storages.
DependencySerializationTrait::$_serviceIds protected property An array of service IDs keyed by property name used for serialization.
DependencySerializationTrait::__sleep public function 2
DependencySerializationTrait::__wakeup public function 2
LinkOptions::transform public function Overrides ProcessPluginBase::transform
MessengerTrait::$messenger protected property The messenger. 25
MessengerTrait::messenger public function Gets the messenger. 25
MessengerTrait::setMessenger public function Sets the messenger.
PluginBase::$configuration protected property Configuration information passed into the plugin. 1
PluginBase::$pluginDefinition protected property The plugin implementation definition. 1
PluginBase::$pluginId protected property The plugin ID.
PluginBase::create public static function Instantiates a new instance of the implementing class using autowiring. 64
PluginBase::DERIVATIVE_SEPARATOR constant A string which is used to separate base plugin IDs from the derivative ID.
PluginBase::getBaseId public function Overrides DerivativeInspectionInterface::getBaseId
PluginBase::getDerivativeId public function Overrides DerivativeInspectionInterface::getDerivativeId
PluginBase::getPluginDefinition public function Overrides PluginInspectionInterface::getPluginDefinition 2
PluginBase::getPluginId public function Overrides PluginInspectionInterface::getPluginId
PluginBase::__construct public function Constructs a \Drupal\Component\Plugin\PluginBase object. 112
ProcessPluginBase::$stopPipeline protected property Determines if processing of the pipeline is stopped.
ProcessPluginBase::isPipelineStopped public function Overrides MigrateProcessInterface::isPipelineStopped
ProcessPluginBase::multiple public function Overrides MigrateProcessInterface::multiple 3
ProcessPluginBase::reset public function Overrides MigrateProcessInterface::reset
ProcessPluginBase::stopPipeline protected function Stops pipeline processing after this plugin finishes.
StringTranslationTrait::$stringTranslation protected property The string translation service. 3
StringTranslationTrait::formatPlural protected function Formats a string containing a count of items.
StringTranslationTrait::getNumberOfPlurals protected function Returns the number of plurals supported by a given language.
StringTranslationTrait::getStringTranslation protected function Gets the string translation service.
StringTranslationTrait::setStringTranslation public function Sets the string translation service to use. 2
StringTranslationTrait::t protected function Translates a string to the current language or to a given language. 1

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.